%define ver     4.0.1
%define lsbver	4.0

Summary: LSB Build environment desktop package
Name: lsb-build-desktop
Version: %ver
Release: 1
License: LF
Vendor: Linux Foundation
Packager: LSB Project <lsb-discuss@linux-foundation.org>
Group: Development/Tools
Source: lsb-build-desktop-%ver.tar.gz
BuildRoot: /var/tmp/lsb-build-desktop-root
AutoReqProv: no
# Does not strictly require lsb
#PreReq: lsb >= 3.1
Requires: lsb-build-base
Obsoletes: lsbdev-desktop
BuildRequires: lsb-build-base lsb-build-cc

%description
This package provides LSB desktop building support for the
lsb-build packages.

%prep
%setup -q

%build
make LSBVERSION=${RPM_PACKAGE_VERSION} LSBLIBCHK_VERSION=${RPM_PACKAGE_VERSION}-${RPM_PACKAGE_RELEASE}

%install
rm -rf $RPM_BUILD_ROOT

# tweak here to make a distribution package
# variables of interest: LIB64, INSTALL_ROOT, SUBDIR
# examples:
# %define lsbbuild lsb-build-base
# ia32 -
# make install DESTDIR=$RPM_BUILD_ROOT INSTALL_ROOT=%{_prefix} SUBDIR=%{lsbbuild}
# installs to /usr/{lib,include}/lsb-build-base
# x86_64 -
# make install LIB64=64 DESTDIR=$RPM_BUILD_ROOT INSTALL_ROOT=%{_prefix} SUBDIR=%{lsbbuild}
# installs to /usr/{lib64,include}/lsb-build-base

make install DESTDIR=$RPM_BUILD_ROOT INSTALL_ROOT=/opt/lsb
mkdir -p $RPM_BUILD_ROOT/opt/lsb/doc/lsb-build-desktop
cp README Licence $RPM_BUILD_ROOT/opt/lsb/doc/lsb-build-desktop
%ifarch ppc64 s390x x86_64
( for i in $RPM_BUILD_ROOT/opt/lsb/lib64-*; do cd $i && ln -s libpng12.so libpng.so; done )
%else
( for i in $RPM_BUILD_ROOT/opt/lsb/lib-*; do cd $i && ln -s libpng12.so libpng.so; done )
%endif

# (sb) bug XXXX, let lib{64}-CURRENT be a symlink to lib{64}, 
# owned by lsb-setup, this needs to be tweaked for a new LSB version
# lib{64}-CURRENT is in lsb-build-base
%ifarch ppc64 s390x x86_64
  mv $RPM_BUILD_ROOT/opt/lsb/lib64-%lsbver $RPM_BUILD_ROOT/opt/lsb/lib64
%else
  mv $RPM_BUILD_ROOT/opt/lsb/lib-%lsbver $RPM_BUILD_ROOT/opt/lsb/lib
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/opt/lsb/bin/freetype-config
%dir /opt/lsb/doc/lsb-build-desktop
/opt/lsb/doc/lsb-build-desktop/*
/opt/lsb/include/*
%ifarch ppc64 s390x x86_64
  /opt/lsb/lib64*/*
%else
  /opt/lsb/lib*/*
%endif

%changelog
* Wed Nov 05 2008 Stew Benedict <stewb@linux-foundation.org>
- be specific with %%files list

* Wed Jun 4 2008 Denis Silakov <silakov@ispras.ru>
- Support for multiversion libs

* Thu Feb 28 2008 Stew Benedict <stewb@linux-foundation.org>
- Add notes to guide distribution packagers and accomodate
  alternate install locations in makefiles (bug 1412)

